View Issue Details

IDProjectCategoryView StatusLast Update
0038520PatchesPatchpublic2021-03-02 17:37
ReporterGabor Boros Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0038520: SynEdit - Update Firebird 4.0 highlighter
DescriptionThe attached patch update Firebird 4.0 keyword list to RC 1 state.
TagsNo tags attached.
Fixed in Revision64652
LazTarget2.2
Widgetset
Attached Files

Activities

Gabor Boros

2021-02-20 11:53

reporter  

synhighlightersql.pas.patch (7,400 bytes)   
Index: components/synedit/synhighlightersql.pas
===================================================================
--- components/synedit/synhighlightersql.pas	(revision 64625)
+++ components/synedit/synhighlightersql.pas	(working copy)
@@ -1135,53 +1135,52 @@
     'CHECK,CLEAR,CLOSE,COALESCE,COLLATE,COLLATION,COLUMN,COMMENT,COMMIT,'+
     'COMMITTED,COMMON,COMPARE_DECFLOAT,COMPUTED,CONDITIONAL,CONNECT,CONNECTIONS,'+
     'CONSISTENCY,CONSTRAINT,CONTAINING,CONTINUE,CORR,COS,COSH,COT,COUNT,COUNTER,'+
-    'COVAR_POP,COVAR_SAMP,CRC32,CREATE,CROSS,CSTRING,CTR_BIG_ENDIAN,CTR_LENGTH,'+
-    'CTR_LITTLE_ENDIAN,CUME_DIST,CURRENT,CURRENT_CONNECTION,CURRENT_DATE,'+
-    'CURRENT_ROLE,CURRENT_TIME,CURRENT_TIMESTAMP,CURRENT_TRANSACTION,'+
-    'CURRENT_USER,CURSOR,DATABASE,DATA,DATE,DATEADD,DATEDIFF,DAY,DDL,DEC,'+
-    'DECFLOAT,DECIMAL,DECLARE,DECODE,DECRYPT,DEFAULT,DEFINER,DELETE,DELETING,'+
-    'DENSE_RANK,DESC,DESCENDING,DESCRIPTOR,DETERMINISTIC,DIFFERENCE,DISABLE,'+
-    'DISCONNECT,DISTINCT,DO,DOMAIN,DOUBLE,DROP,ELSE,ENABLE,ENCRYPT,END,ENGINE,'+
-    'ENTRY_POINT,ESCAPE,EXCEPTION,EXCESS,EXCLUDE,EXECUTE,EXISTS,EXIT,EXP,'+
-    'EXTENDED,EXTERNAL,EXTRACT,FALSE,'+
-    'FETCH,FILE,FILTER,FIRST,FIRST_DAY,FIRST_VALUE,FIRSTNAME,FLOAT,FLOOR,'+
-    'FOLLOWING,FOR,FOREIGN,FREE_IT,FROM,FULL,FUNCTION,GDSCODE,GENERATED,'+
-    'GENERATOR,GEN_ID,GEN_UUID,GLOBAL,GRANT,GRANTED,GROUP,HASH,HAVING,'+
-    'HEX_DECODE,HEX_ENCODE,HOUR,IDENTITY,IDLE,IF,IGNORE,IIF,IN,INACTIVE,'+
-    'INCREMENT,INDEX,INNER,INPUT_TYPE,INSENSITIVE,INSERT,INSERTING,INT,'+
-    'INTEGER,INTO,INVOKER,IS,ISOLATION,IV,JOIN,KEY,LAG,LAST,LAST_DAY,LAST_VALUE,'+
-    'LASTNAME,LEAD,LEADING,LEAVE,LEFT,LEGACY,LENGTH,LEVEL,LIFETIME,LIKE,LIMBO,'+
-    'LINGER,LIST,LN,LATERAL,LOCAL,LOCALTIME,LOCALTIMESTAMP,LOCK,LOG,LOG10,LONG,'+
-    'LOWER,LPAD,LPARAM,MAKE_DBKEY,MANUAL,MAPPING,MATCHED,MATCHING,MAX,MAXVALUE,'+
-    'MERGE,MESSAGE,'+
-    'MILLISECOND,MIDDLENAME,MIN,MINUTE,MINVALUE,MOD,MODE,MODULE_NAME,MONTH,NAME,'+
-    'NAMES,NATIONAL,NATIVE,NATURAL,NCHAR,NEXT,NO,NORMALIZE_DECFLOAT,NOT,'+
-    'NTH_VALUE,NTILE,NULLIF,NULL,NULLS,NUMBER,NUMERIC,OCTET_LENGTH,OF,OFFSET,'+
-    'OLDEST,ON,ONLY,OPEN,OPTION,OR,ORDER,OS_NAME,OTHERS,OUTER,OUTPUT_TYPE,OVER,'+
-    'OVERFLOW,OVERLAY,OVERRIDING,PACKAGE,PAD,PAGE,PAGES,PAGE_SIZE,PARAMETER,'+
-    'PARTITION,PASSWORD,PERCENT_RANK,PI,PLACING,PLAN,PLUGIN,POOL,POSITION,'+
-    'POST_EVENT,POWER,PRECEDING,PRECISION,PRESERVE,PRIMARY,PRIOR,PRIVILEGE,'+
-    'PRIVILEGES,PROCEDURE,PROTECTED,PUBLICATION,QUANTIZE,RAND,RANGE,RANK,'+
-    'RDB$DB_KEY,'+
+    'COVAR_POP,COVAR_SAMP,CREATE,CROSS,CRYPT_HASH,CSTRING,CTR_BIG_ENDIAN,'+
+    'CTR_LENGTH,CTR_LITTLE_ENDIAN,CUME_DIST,CURRENT,CURRENT_CONNECTION,'+
+    'CURRENT_DATE,CURRENT_ROLE,CURRENT_TIME,CURRENT_TIMESTAMP,'+
+    'CURRENT_TRANSACTION,CURRENT_USER,CURSOR,DATABASE,DATA,DATE,DATEADD,'+
+    'DATEDIFF,DAY,DDL,DEC,DECFLOAT,DECIMAL,DECLARE,DECODE,DECRYPT,DEFAULT,'+
+    'DEFINER,DELETE,DELETING,DENSE_RANK,DESC,DESCENDING,DESCRIPTOR,'+
+    'DETERMINISTIC,DIFFERENCE,DISABLE,DISCONNECT,DISTINCT,DO,DOMAIN,DOUBLE,DROP,'+
+    'ELSE,ENABLE,ENCRYPT,END,ENGINE,ENTRY_POINT,ESCAPE,EXCEPTION,EXCESS,EXCLUDE,'+
+    'EXECUTE,EXISTS,EXIT,EXP,EXTENDED,EXTERNAL,EXTRACT,FALSE,FETCH,FILE,FILTER,'+
+    'FIRST,FIRST_DAY,FIRST_VALUE,FIRSTNAME,FLOAT,FLOOR,FOLLOWING,FOR,FOREIGN,'+
+    'FREE_IT,FROM,FULL,FUNCTION,GDSCODE,GENERATED,GENERATOR,GEN_ID,GEN_UUID,'+
+    'GLOBAL,GRANT,GRANTED,GROUP,HASH,HAVING,HEX_DECODE,HEX_ENCODE,HOUR,IDENTITY,'+
+    'IDLE,IF,IGNORE,IIF,IN,INACTIVE,INCLUDE,INCREMENT,INDEX,INNER,INPUT_TYPE,'+
+    'INSENSITIVE,INSERT,INSERTING,INT,INT128,INTEGER,INTO,INVOKER,IS,ISOLATION,'+
+    'IV,JOIN,KEY,LAG,LAST,LAST_DAY,LAST_VALUE,LASTNAME,LEAD,LEADING,LEAVE,LEFT,'+
+    'LEGACY,LENGTH,LEVEL,LIFETIME,LIKE,LIMBO,LINGER,LIST,LN,LATERAL,LOCAL,'+
+    'LOCALTIME,LOCALTIMESTAMP,LOCK,LOG,LOG10,LONG,LOWER,LPAD,LPARAM,MAKE_DBKEY,'+
+    'MANUAL,MAPPING,MATCHED,MATCHING,MAX,MAXVALUE,MERGE,MESSAGE,MILLISECOND,'+
+    'MIDDLENAME,MIN,MINUTE,MINVALUE,MOD,MODE,MODULE_NAME,MONTH,NAME,NAMES,'+
+    'NATIONAL,NATIVE,NATURAL,NCHAR,NEXT,NO,NORMALIZE_DECFLOAT,NOT,NTH_VALUE,'+
+    'NTILE,NULLIF,NULL,NULLS,NUMBER,NUMERIC,OCTET_LENGTH,OF,OFFSET,OLDEST,ON,'+
+    'ONLY,OPEN,OPTION,OR,ORDER,OS_NAME,OTHERS,OUTER,OUTPUT_TYPE,OVER,OVERFLOW,'+
+    'OVERLAY,OVERRIDING,PACKAGE,PAD,PAGE,PAGES,PAGE_SIZE,PARAMETER,PARTITION,'+
+    'PASSWORD,PERCENT_RANK,PI,PLACING,PLAN,PLUGIN,POOL,POSITION,POST_EVENT,'+
+    'POWER,PRECEDING,PRECISION,PRESERVE,PRIMARY,PRIOR,PRIVILEGE,PRIVILEGES,'+
+    'PROCEDURE,PROTECTED,PUBLICATION,QUANTIZE,RAND,RANGE,RANK,RDB$DB_KEY,'+
     'RDB$ERROR,RDB$GET_CONTEXT,RDB$GET_TRANSACTION_CN,RDB$RECORD_VERSION,'+
     'RDB$ROLE_IN_USE,RDB$SET_CONTEXT,RDB$SYSTEM_PRIVILEGE,READ,REAL,'+
     'RECORD_VERSION,RECREATE,RECURSIVE,REFERENCES,REGR_AVGX,REGR_AVGY,'+
     'REGR_COUNT,REGR_INTERCEPT,REGR_R2,REGR_SLOPE,REGR_SXX,REGR_SXY,REGR_SYY,'+
-    'RELATIVE,RELEASE,REPLACE,REQUESTS,RESERV,RESERVING,RESET,RESTART,RESTRICT,'+
-    'RETAIN,RETURN,RETURNING,RETURNING_VALUES,RETURNS,REVERSE,REVOKE,RIGHT,ROLE,'+
-    'ROLLBACK,ROUND,ROW,ROW_COUNT,ROW_NUMBER,ROWS,RPAD,RSA_DECRYPT,RSA_ENCRYPT,'+
-    'RSA_PRIVATE,RSA_PUBLIC,RSA_SIGN,RSA_VERIFY,SALT_LENGTH,SAVEPOINT,'+
-    'SCALAR_ARRAY,SCHEMA,SCROLL,SECOND,SECURITY,SEGMENT,SELECT,SENSITIVE,'+
-    'SEQUENCE,SERVERWIDE,SESSION,SET,SHADOW,SHARED,SIGN,SIGNATURE,SIMILAR,SIN,'+
-    'SINGULAR,SINH,SIZE,SKIP,SMALLINT,SNAPSHOT,SOME,SORT,SOURCE,SPACE,SQL,'+
-    'SQLCODE,SQLSTATE,SQRT,STABILITY,START,STARTING,STARTS,STATEMENT,STATISTICS,'+
-    'STDDEV_POP,STDDEV_SAMP,SUBSTRING,SUB_TYPE,SUM,SUSPEND,SYSTEM,TABLE,TAGS,'+
-    'TAN,TANH,TEMPORARY,THEN,TIES,TIME,TIMESTAMP,TIMEOUT,TIMEZONE_HOUR,'+
-    'TIMEZONE_MINUTE,TO,TOTALORDER,TRAILING,TRANSACTION,TRAPS,TRIGGER,TRIM,TRUE,'+
-    'TRUNC,TRUSTED,TWO_PHASE,TYPE,UNBOUNDED,UNCOMMITTED,UNDO,UNION,UNIQUE,'+
-    'UNKNOWN,UPDATE,UPDATING,UPPER,USAGE,USER,USING,UUID_TO_CHAR,VALUE,VALUES,'+
-    'VAR_POP,VAR_SAMP,VARBINARY,VARCHAR,VARIABLE,VARYING,VIEW,WAIT,WEEK,WEEKDAY,'+
-    'WHEN,WHERE,WHILE,WINDOW,WITH,WITHOUT,WORK,WRITE,YEAR,YEARDAY,ZONE';
+    'RELATIVE,RELEASE,REPLACE,REQUESTS,RESERV,RESERVING,RESET,RESETTING,RESTART,'+
+    'RESTRICT,RETAIN,RETURN,RETURNING,RETURNING_VALUES,RETURNS,REVERSE,REVOKE,'+
+    'RIGHT,ROLE,ROLLBACK,ROUND,ROW,ROW_COUNT,ROW_NUMBER,ROWS,RPAD,RSA_DECRYPT,'+
+    'RSA_ENCRYPT,RSA_PRIVATE,RSA_PUBLIC,RSA_SIGN,RSA_VERIFY,SALT_LENGTH,'+
+    'SAVEPOINT,SCALAR_ARRAY,SCHEMA,SCROLL,SECOND,SECURITY,SEGMENT,SELECT,'+
+    'SENSITIVE,SEQUENCE,SERVERWIDE,SESSION,SET,SHADOW,SHARED,SIGN,SIGNATURE,'+
+    'SIMILAR,SIN,SINGULAR,SINH,SIZE,SKIP,SMALLINT,SNAPSHOT,SOME,SORT,SOURCE,'+
+    'SPACE,SQL,SQLCODE,SQLSTATE,SQRT,STABILITY,START,STARTING,STARTS,STATEMENT,'+
+    'STATISTICS,STDDEV_POP,STDDEV_SAMP,SUBSTRING,SUB_TYPE,SUM,SUSPEND,SYSTEM,'+
+    'TABLE,TAGS,TAN,TANH,TEMPORARY,THEN,TIES,TIME,TIMESTAMP,TIMEOUT,'+
+    'TIMEZONE_HOUR,TIMEZONE_MINUTE,TO,TOTALORDER,TRAILING,TRANSACTION,TRAPS,'+
+    'TRIGGER,TRIM,TRUE,TRUNC,TRUSTED,TWO_PHASE,TYPE,UNBOUNDED,UNCOMMITTED,UNDO,'+
+    'UNION,UNIQUE,UNKNOWN,UPDATE,UPDATING,UPPER,USAGE,USER,USING,UUID_TO_CHAR,'+
+    'VALUE,VALUES,VAR_POP,VAR_SAMP,VARBINARY,VARCHAR,VARIABLE,VARYING,VIEW,WAIT,'+
+    'WEEK,WEEKDAY,WHEN,WHERE,WHILE,WINDOW,WITH,WITHOUT,WORK,WRITE,YEAR,YEARDAY,'+
+    'ZONE';
 
 procedure MakeIdentTable;
 var
synhighlightersql.pas.patch (7,400 bytes)   

Martin Friebe

2021-02-22 19:54

manager   ~0129106

Thanks, applied.

Please close if ok

Issue History

Date Modified Username Field Change
2021-02-20 11:53 Gabor Boros New Issue
2021-02-20 11:53 Gabor Boros File Added: synhighlightersql.pas.patch
2021-02-20 11:53 Gabor Boros Issue generated from: 0037213
2021-02-20 15:45 Martin Friebe Assigned To => Martin Friebe
2021-02-20 15:45 Martin Friebe Status new => assigned
2021-02-22 19:54 Martin Friebe Status assigned => resolved
2021-02-22 19:54 Martin Friebe Resolution open => fixed
2021-02-22 19:54 Martin Friebe Fixed in Version => 2.2
2021-02-22 19:54 Martin Friebe Fixed in Revision => 64652
2021-02-22 19:54 Martin Friebe LazTarget => 2.2
2021-02-22 19:54 Martin Friebe Note Added: 0129106
2021-03-02 17:37 Gabor Boros Status resolved => closed